Subject: FVWM: any way to specify insertion point for "AddToMenu"?

From: Maciej Kalisiak <[email-masked]>
Date: Sun, 2 Feb 2003 11:13:33 -0500

I'm almost sure there isn't, but I'll ask just in case I'm missing something:
is there a way to specify the point in a menu at which a new item should be
inserted, instead of the usual "append to end" (or some equivalent method to
achieve the same goal)?  This would be handy in fvwm-themes where your personal
theme is only given a chance to add menu-items once the default menus have been
already setup... sometimes it would make for a nicer menu if the personal theme
could add some items a bit earlier in the list.

-- 
Maciej Kalisiak       mac "at" dgp.toronto.edu       www.dgp.toronto.edu/~mac
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Dan Espen <[email-masked]>
Date: Mon, 03 Feb 2003 08:47:39 -0500

Maciej Kalisiak <[email-masked]> writes:
> I'm almost sure there  isn't, but I'll  ask just in case I'm missing
> something: is there a way to specify the point  in a menu at which a
> new item should  be inserted, instead of the  usual  "append to end"
> (or some equivalent method to achieve the same goal)?  This would be
> handy in fvwm-themes  where  your personal theme   is only given   a
> chance to add  menu-items once the default  menus have been  already
> setup... sometimes it  would make for  a nicer menu if the  personal
> theme could add some items a bit earlier in the list.

As useful as this might be,
I don't think there currently is any way to do this.

-- 
Dan Espen                           E-mail: [email-masked]